### Class

# AppStreamCompose Media

#### Description

    final class AppStreamCompose.Media : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### asc_media_new

Creates a new `AscMedia`.

since: 1.2.0

#### Instance methods

###### asc_media_ensure_worker

Ensure a media worker process is running, spawning one if necessary. This function is called implicitly by all media operations, calling it explicitly is only useful to make worker startup problems surface early.

since: 1.2.0

###### asc_media_get_memory_limit

Get the address space limit applied to the worker process in MiB, or 0 if the worker may use as much memory as it wants.

since: 1.2.0

###### asc_media_get_request_timeout

Get the request timeout in seconds.

since: 1.2.0

###### asc_media_process_image

Load an image (in the media worker process) and store an arbitrary set of scaled renditions of it in the given output directory. The directory is created if it does not exist yet.

since: 1.2.0

###### asc_media_set_memory_limit

Limit the amount of memory the worker process may use. The limit is applied when the next worker process is spawned.

since: 1.2.0

###### asc_media_set_request_timeout

Set the time a single media operation may take before the worker is assumed to hang and gets killed.

since: 1.2.0

###### asc_media_stop

Stop the worker process of this instance, if it is running. A new worker will be spawned automatically if another media operation is requested.

since: 1.2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamComposeMediaClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.